/***************************************************************************
JSPICE3 adaptation of Spice3f2 - Copyright (c) Stephen R. Whiteley 1992
Copyright 1990 Regents of the University of California.  All rights reserved.
Authors: 1987 Thomas L. Quarles
         1993 Stephen R. Whiteley
****************************************************************************/

#include "spice.h"
#include "ftedefs.h"
#include "inpdefs.h"
#include "inpmacs.h"
#include "misc.h"

/* ARGSUSED */
int
DISTOparse(ckt,tab,which,currentp,line,task,gnode)

/* .disto {DEC OCT LIN} NP FSTART FSTOP <F2OVERF1> */
GENERIC *ckt;
INPtables *tab;
int which;
GENERIC *currentp;
char **line;
GENERIC *task;
GENERIC *gnode;
{
    GENERIC *foo;   /* pointer to analysis */
    IFvalue *parm;  /* a pointer to a value struct for function returns */
    int error;      /* error code temporary */
    card *current = (card *)currentp;

    IFC(newAnalysis,(ckt,which,"distoan",&foo, task))
    GCA(ParseAC,(ckt,line,current,which,foo,tab))

    if (**line) {
        parm = INPgetValue(ckt,line,IF_REAL,tab); /* f1phase */
        GCA(INPapName,(ckt,which,foo,"f2overf1",parm))
    }
    return (0);
}
