/***************************************************************************
JSPICE3 adaptation of Spice3f2 - Copyright (c) Stephen R. Whiteley 1992
Copyright 1990 Regents of the University of California.  All rights reserved.
Authors: 1985 Thomas L. Quarles
         1993 Stephen R. Whiteley
****************************************************************************/

    /* CKTask
     *  Ask questions about a specified device.
     */

#include "spice.h"
#include <stdio.h>
#include "devdefs.h"
#include "sperror.h"
#include "util.h"
#include "cktext.h"


extern SPICEdev *DEVices[];

int
CKTask(ckt,fast,which,value,selector)

GENERIC *ckt;
GENERIC *fast;
int which;
IFvalue *value;
IFvalue *selector;
{
    int type = ((GENinstance *)fast)->GENmodPtr->GENmodType;

    if (DEVices[type]->DEVask) {
        return( (*DEVices[type]->DEVask)((CKTcircuit *)ckt,
                (GENinstance *)fast,which,value,selector) );
    }
    return (E_BADPARM);
}
