/***************************************************************************
JSPICE3 adaptation of Spice3f2 - Copyright (c) Stephen R. Whiteley 1992
Copyright 1990 Regents of the University of California.  All rights reserved.
Authors: 1985 Thomas L. Quarles
         1993 Stephen R. Whiteley
****************************************************************************/

    /*  CKTbreakDump(ckt) - dump the breakpoint table associated with
     *  the given circuit 
     */

#include "spice.h"
#include <stdio.h>
#include "cktdefs.h"
#include "util.h"
#include "cktext.h"


void
CKTbreakDump(ckt)

CKTcircuit *ckt;
{
    int i;

    for (i = 0; i < ckt->CKTbreakSize; i++) {
        (void)printf(
            "breakpoint table entry %d is %g\n",i,*(ckt->CKTbreaks+i));
    }
}
