/***************************************************************************
JSPICE3 adaptation of Spice3f2 - Copyright (c) Stephen R. Whiteley 1992
Copyright 1990 Regents of the University of California.  All rights reserved.
Authors: 1985 Thomas L. Quarles
         1993 Stephen R. Whiteley
****************************************************************************/

    /*
     * CKTmkNode(ckt,node)
     *  Tentatively allocate a new circuit equation structure
     */

#include "spice.h"
#include <stdio.h>
#include "cktdefs.h"
#include "iferrmsg.h"
#include "util.h"
#include "cktext.h"


/* ARGSUSED */
int
CKTmkNode(ckt,node)

CKTcircuit *ckt;
CKTnode **node;
{
    CKTnode *mynode;

    mynode = (CKTnode *)MALLOC(sizeof(CKTnode));
    if (mynode == (CKTnode *)NULL) return (E_NOMEM);
    mynode->next = (CKTnode *)NULL;

    if (node) *node = mynode;
    return (OK);
}
