/***************************************************************************
JSPICE3 adaptation of Spice3f2 - Copyright (c) Stephen R. Whiteley 1992
Copyright 1990 Regents of the University of California.  All rights reserved.
Authors: 1985 Thomas L. Quarles
         1993 Stephen R. Whiteley
****************************************************************************/

    /*
     * CKTnodName(ckt)
     *  output information on all circuit nodes/equations
     *
     */

#include "spice.h"
#include <stdio.h>
#include "cktdefs.h"
#include "cktext.h"


IFuid
CKTnodName(ckt,nodenum)

CKTcircuit *ckt;
int nodenum;
{
    CKTnode *here;

    for (here = ckt->CKTnodes; here; here = here->next) {
        if (here->number == nodenum) { 
            /* found it */
            return (here->name);
        }
    }
    /* doesn't exist - do something */
    return ("UNKNOWN NODE");
}
