/*************************************************************************
 MFB graphics and miscellaneous library for protected mode MSDOS.
 Copyright (c) Stephen R. Whiteley 1992
 Author: Stephen R. Whiteley
 *************************************************************************/

#include <dos.h>


void
load_font(scanheight)

/* load nondefault internal screen font */
int scanheight;
{
    union REGS r;
    int mode;

    if (scanheight == 15)     /* default 8X16 */  return;
    if (scanheight == 13)     /* 8X14 */          mode = 0x11;
    else if (scanheight == 7) /* 8X8 */           mode = 0x12;
    else return;
    mode |= 0x1100;
    r.x.ax = mode;
    r.x.bx = 0;
    int86(0x10,&r,&r);
    /* set modified printscreen for other than 25 rows */
    r.x.ax = 0x1200;
    r.x.bx = 0x20;
    int86(0x10,&r,&r);
}
