/*************************************************************************
 MFB graphics and miscellaneous library
 Copyright (c) Stephen R. Whiteley 1992
 Author: Stephen R. Whiteley
 *************************************************************************/

#include "mfb.h"
#include "mfbP.h"


/* ARGSUSED */
int
MFBSetTextMode(mode)

/* always nondestructive */
Bool mode;
{
    return (MFBOK);
}


int
MFBSetALUMode(mode)

int mode;
{
    switch (mode) {
        case MFBALUJAM:
            pc.alumode = 0x3;
            break;
        case MFBALUOR:
            pc.alumode = 0x1003;
            break;
        case MFBALUNOR:
            pc.alumode = 0x3;
            break;
        case MFBALUEOR:
            pc.alumode = 0x1803;
            break;
        case MFBALUAND:
            pc.alumode = 0x803;
            break;
        default:
            return (MFBBADALU);
    }
    return (MFBOK);
}
