/*************************************************************************
 MFB graphics and miscellaneous library
 Copyright (c) Stephen R. Whiteley 1992
 Author: Stephen R. Whiteley
 *************************************************************************/

#include "mfb.h"
#include "mfbP.h"


int
MFBSetColor(color)

int color;
{
    pc.curcolor = color;
    return (MFBOK);
}


/* ARGSUSED */
int
MFBSetCursorColor(color1,color2)

int color1, color2;
{
    pc.cursor_color = color1;
    return (MFBOK);
}


/* ARGSUSED */
int
MFBSetBlinker(color,r,g,b,on)

int color,r,g,b,on;
{
    return (MFBNOBLNK);
}


int
MFBDefineColor(num, red, green, blue)

int num, red, green, blue;
{
    if (num < 0 || num > 255) return (MFBNODFCO);

    red   >>= 4;    /* input max value 1024 -> 64 */
    green >>= 4;
    blue  >>= 4;
    vga_set_color(num,red,green,blue);
    pc.colormap[num][0] = red;
    pc.colormap[num][1] = green;
    pc.colormap[num][2] = blue;
    return (MFBOK);
}
