/*************************************************************************
 MFB graphics and miscellaneous library
 Copyright (c) Stephen R. Whiteley 1992
 Author: Stephen R. Whiteley
 *************************************************************************/

#include "mfb.h"
#include "mfbP.h"
#include <dos.h>


int
MFBGetPixel(x,y)

/* return color at x,y (0,0 is upper left) */
int x, y;
{
    int color = 0, latch;
    vidmptr rgen;
    union { unsigned short o[2]; long l; } p;
    int plane;
    int bit_number = (x & 7)^7;
    int bit_mask = (1 << bit_number);

    if (pc.mfbMODE & 2) {
        p.l = x + (long) (pc.ysize-1-y)*pc.xsize;
#ifndef __GNUC__
        outp(0x3cd,p.o[1]);
        return (*(pc.base + p.o[0]));
#else
        return (*(pc.base + p.l));
#endif
    }
    else {
        rgen = pc.base + (x >> 3) + y*pc.bytpline;
        for (plane = 3; plane >= 0; plane--) {
            outpw(0x3ce,plane << 8 | 4);
            latch = *rgen & bit_mask;
            latch >>= bit_number;
            color <<= 1;
            color |= latch;
        }
        return (color);
    }
}



