/***************************************************************************
JSPICE3 adaptation of Spice3e2 - Copyright (c) Stephen R. Whiteley 1992
Copyright 1990 Regents of the University of California.  All rights reserved.
Authors: 1987 Thomas L. Quarles
         1992 Stephen R. Whiteley
****************************************************************************/

#include "spice.h"
#include "inpdefs.h"
#include "misc.h"


char *
INPerrCat(a,b)

char *a;
char *b;
{
char *errtmp;

    if (a != (char *)NULL) {
        if (b == (char *)NULL)
            /* a valid, b null, return a */
            return (a);

        else { /* both valid  - hard work...*/
            errtmp = (char *)tmalloc( (strlen(a) + strlen(b)+2)*sizeof(char));
            (void) strcpy(errtmp,a);
            (void) strcat(errtmp,"\n");
            (void) strcat(errtmp,b);
            txfree(a);
            txfree(b);
            return (errtmp);
        }
    }
    else
        /* a null, so return b */
        return (b);
}


char *
INPdevErr(str)

char *str;
{
    static char buf[64];

    if (str)
        sprintf(buf,"Device type %s not available in this binary.",str);
    else
        sprintf(buf,"Incorrect model type.");
    return (buf);
}
