/***************************************************************************
JSPICE3 adaptation of Spice3f4 - Copyright (c) Stephen R. Whiteley 1994
Copyright 1990 Regents of the University of California.  All rights reserved.
Author: 1993 Stephen R. Whiteley
****************************************************************************
* Configuration Header for MSDOS
****************************************************************************/

#define DIR_CWD        "."
#define DIR_PATHSEP    "\\"
#define DIR_TERM       '\\'
#define TEMPFORMAT     "%s%d.tmp"
#define AVAIL_MFB

#if __NDPC__ || __GNUC__
/* Microway NDPC 3.2 */
/* djgpp GNU C  / GO32 */

#define HAVE_CTYPE_H             /* <ctype.h>, iswhite( ), etc.          */
#define HAVE_ACCESS              /* access( )                            */
#define HAVE_BCOPY               /* bcopy( ), bzero( )                   */
#define HAVE_CHDIR               /* for tree filesystems, chdir( )       */
#define HAVE_CLEARERR            /* clearerr( ), should be in stdio      */
#define HAVE_DUP2                /* dup2(a, b) for shifting file descrs. */
#define HAVE_FTIME               /* ftime()                              */
#define HAVE_GETCWD              /* getcwd(buf, size)                    */
#define HAVE_GETENV              /* getenv( )                            */
#define HAVE_GETPID              /* getpid( ) to identify processes      */
#define HAVE_ISATTY              /* isatty( )                            */
#define HAVE_PERROR              /* perror( ) defined by standard '.h's  */
#define HAVE_QSORT               /* qsort( ) exists                      */
#define HAVE_SETJMP              /* setjmp( ), longjmp( )                */
#define HAVE_SIGNAL              /* signal( ), kill( )                   */
#define HAVE_SRANDOM             /* srandom( ) and random( )             */
#define HAVE_STAT                /* stat( ) returns info on files        */
#define HAVE_STDLIB              /* #include <stdlib.h> for libc defs    */
#define HAVE_STRCHR              /* strchr( ) instead of index( )        */
#define HAVE_SYSTEM              /* system( ), execute system command    */
#define HAVE_TIMES               /* times( )                             */
#define HAVE_UNLINK              /* unlink( ), for removing files        */

#if __NDPC__
#define HAVE_DOSDIRS             /* Emulate opendir, etc.                */
#define random rand
#define srandom srand
#define kill(pid,sig) raise(sig)
#endif

#if __GNUC__
#define HAVE_GETTIMEOFDAY        /* gettimeofday()                       */
#define HAVE_SYS_DIR_H           /* <sys/dir.h>                          */
#define HAVE_GETRUSAGE           /* getrusage( )                         */
#define HAVE_DOSRLIMIT           /* Use (special) _memavl( )             */
#endif

#define TIOCSTI 1
#define RETSIGTYPE void

#else
An Error!
#endif
