/***************************************************************************
JSPICE3 adaptation of Spice3e2 - Copyright (c) Stephen R. Whiteley 1992
Copyright 1990 Regents of the University of California.  All rights reserved.
Authors: 1992 Stephen R. Whiteley
****************************************************************************/

/* satisfy references to the sced library when sced is not included */

#include <stdio.h>
#include "spice.h"
#include "cpdefs.h"
#define SHORT_SCEDIO
#include "scedio.h"

#define False 0
#define True 1


/* ARGSUSED */
int
SCEDline(string)

/* Called from output.c
 */
char *string;
{
    return (False);
}


void
SCEDfflush()

{
    return;
}


/* ARGSUSED */
char *
SCEDfgets(s,n,fp,prompt)

char *s;
int n;
FILE *fp;
char *prompt;
{
    char *c;

    if (prompt != NULL) {
        (void)fprintf(cp_out,prompt);
        (void)fflush(cp_out);
    }
    c = fgets(s,n,fp);
    if (c == NULL) {
        clearerr(fp);
    }
    return (c);
}


enum Active
SCEDactive()

{
    return (SCED_inactive);
}


void
ShowPrompt(str)

char *str;
{
    fprintf(cp_out, str);
}
