/***************************************************************************
JSPICE3 adaptation of Spice3f2 - Copyright (c) Stephen R. Whiteley 1992
Copyright 1990 Regents of the University of California.  All rights reserved.
Authors: 1987 Thomas L. Quarles
         1993 Stephen R. Whiteley
****************************************************************************/

#include "spice.h"
#include "ftedefs.h"
#include "inpdefs.h"
#include "inpmacs.h"
#include "misc.h"

/* ARGSUSED */
int
DCOparse(ckt,tab,which,currentp,line,task,gnode)

/* .op */
GENERIC *ckt;
INPtables *tab;
int which;
GENERIC *currentp;
char **line;
GENERIC *task;
GENERIC *gnode;
{
    GENERIC *foo;   /* pointer to analysis */
    int error;      /* error code temporary */
    card *current = (card *)currentp;

    IFC(newAnalysis,(ckt,which,"operating point",&foo,task))
    return (0);
}
