/***************************************************************************
JSPICE3 adaptation of Spice3f2 - Copyright (c) Stephen R. Whiteley 1992
Copyright 1990 Regents of the University of California.  All rights reserved.
Authors: 1985 Thomas L. Quarles
         1993 Stephen R. Whiteley
****************************************************************************/

#include "spice.h"
#include <stdio.h>
#include "cktdefs.h"
#include "dcodefs.h"
#include "jobdefs.h"
#include "iferrmsg.h"


/* ARGSUSED */
int 
DCOsetParm(cktp,anal,which,value)

GENERIC *cktp;
GENERIC *anal;
int which;
IFvalue *value;
{
    return (E_BADPARM);
}


SPICEanalysis DCOinfo  = {
    { 
        "DCOP",
        "D.C. Operating point analysis",

        0,
        NULL,
    },
    sizeof(DCOAN),
    NODOMAIN,
    DCOparse,
    DCOsetParm,
    DCOaskQuest,
    DCOan
};
