/***************************************************************************
JSPICE3 adaptation of Spice3f2 - Copyright (c) Stephen R. Whiteley 1992
Copyright 1990 Regents of the University of California.  All rights reserved.
Authors: 1985 Thomas L. Quarles
         1993 Stephen R. Whiteley
****************************************************************************/

#include "spice.h"
#include <stdio.h>
#include "cktdefs.h"
#include "tskdefs.h"
#include "jobdefs.h"
#include "util.h"
#include "iferrmsg.h"
#include "cktext.h"


/* ARGSUSED */
int
CKTaskAnalQ(ckt,analPtr,parm,value,selector)

GENERIC *ckt;
GENERIC *analPtr;
int parm;
IFvalue *value;
IFvalue *selector;
{
    int type = ((JOB *)analPtr)->JOBtype;

    if ((analInfo[type]->askQuest) == NULL)
        return (E_BADPARM);

    return ( (*(analInfo[type]->askQuest))(ckt,analPtr,parm,value) );
}
