/***************************************************************************
JSPICE3 adaptation of Spice3e2 - Copyright (c) Stephen R. Whiteley 1992
Copyright 1990 Regents of the University of California.  All rights reserved.
Authors: 1985 Thomas L. Quarles
         1992 Stephen R. Whiteley
****************************************************************************/

#include "spice.h"
#include <stdio.h>
#include "cktdefs.h"
#include "tskdefs.h"
#include "util.h"
#include "iferrmsg.h"

/* ARGSUSED */
int
CKTdelTask(ckt,task)
GENERIC *ckt;
GENERIC *task;
{
    JOB *job, *next;

    if (task == NULL) return;

    for (job = ((TSKtask*)task)->jobs; job; job = next) {
        next = job->JOBnextJob;
        FREE(job);
    }
    FREE(task);
    return (OK);
}
