/***************************************************************************
JSPICE3 adaptation of Spice3f2 - Copyright (c) Stephen R. Whiteley 1992
Copyright 1990 Regents of the University of California.  All rights reserved.
Authors: 1985 Thomas L. Quarles
         1993 Stephen R. Whiteley
****************************************************************************/

    /* CKTdump(ckt)
     * this is a simple program to dump the rhs vector to stdout
     */

#include "spice.h"
#include <stdio.h>
#include "cktdefs.h"
#include "cktext.h"


void
CKTdump(ckt,ref,plot)

CKTcircuit *ckt;
double ref;
GENERIC *plot;
{
    IFvalue refData;
    IFvalue valData;

    refData.rValue = ref;
    valData.v.numValue = ckt->CKTmaxEqNum-1;
    valData.v.vec.rVec = ckt->CKTrhsOld+1;
    (*(SPfrontEnd->OUTdata))(plot,&refData,&valData);
}
