/***************************************************************************
JSPICE3 adaptation of Spice3f2 - Copyright (c) Stephen R. Whiteley 1992
Copyright 1990 Regents of the University of California.  All rights reserved.
Authors: 1985 Thomas L. Quarles
         1993 Stephen R. Whiteley
****************************************************************************/

    /* CKTfndNode
     *  find the given node given its name and return the node pointer
     */

#include "spice.h"
#include <stdio.h>
#include "cktdefs.h"
#include "sperror.h"
#include "cktext.h"


/* ARGSUSED */
int
CKTfndNode(ckt,node,name)

GENERIC *ckt;
GENERIC **node;
IFuid name;
{
    CKTnode *here;

    for (here = ((CKTcircuit *)ckt)->CKTnodes; here; here = here->next)  {
        if (here->name == name) {
            if (node) *node = (char *)here;
            return (OK);
        }
    }
    return (E_NOTFOUND);
}
