/***************************************************************************
JSPICE3 adaptation of Spice3f2 - Copyright (c) Stephen R. Whiteley 1992
Copyright 1990 Regents of the University of California.  All rights reserved.
Authors: 1985 Thomas L. Quarles
         1993 Stephen R. Whiteley
****************************************************************************/

    /* CKTnum2nod
     *  find the given node given its name and return the node pointer
     */

#include "spice.h"
#include <stdio.h>
#include "cktdefs.h"
#include "sperror.h"
#include "cktext.h"


/* ARGSUSED */
CKTnode *
CKTnum2nod(ckt,node)

CKTcircuit *ckt;
int node;
{
    CKTnode *here;

    for (here = ((CKTcircuit *)ckt)->CKTnodes; here; here = here->next) {
        if (here->number == node) {
            return (here);
        }
    }
    return ((CKTnode *)NULL);
}
