/*************************************************************************
 MFB graphics and miscellaneous library
 Copyright (c) Stephen R. Whiteley 1992
 Author: Stephen R. Whiteley
 *************************************************************************/

#include "mfb.h"
#include "mfbP.h"


int
MFBInfo(num)

{
    switch (num) {
        case MAXX:             return (pc.xsize-1);
        case MAXY:             return (pc.ysize-1);
        case MAXCOLORS:        return (pc.mfbMODE & 2 ? 256 : 16);
        case MAXINTENSITY:     return (255);
        case MAXFILLPATTERNS:  return (10);
        case MAXLINESTYLES:    return (NSTYLES);
        case MAXBLINKERS:      return (0);
        case NUMBUTTONS:       return (4);
        case TEXTROTATABLE:    return (1);
        case FONTHEIGHT:       return (pc.charheight);
        case FONTWIDTH:        return (pc.charwidth);
        case FONTXOFFSET:
        case FONTYOFFSET:      return (0);
        case DESTRUCTIVETEXT:  return (0);
        case OVERSTRIKETEXT:   return (1);
        case VLT:              return (1);
        case BLINKERS:         return (0);
        case FILLEDPOLYGONS:   return (1);
        case DEFFILLPATTERNS:  return (1);
        case DEFLINEPATTERN:   return (1);
        case CURFILLPATTERN:   return (pc.curfillpatt);
        case CURLINESTYLE:     return (pc.curstyle);
        case NUMBITPLANES:     return (1);
        case CURFGCOLOR:       return (pc.curcolor);

        default:               return (-1);
    }
}
