/***************************************************************************
JSPICE3 adaptation of Spice3f2 - Copyright (c) Stephen R. Whiteley 1992
Copyright 1990 Regents of the University of California.  All rights reserved.
Authors: 1985 Thomas L. Quarles
         1993 Stephen R. Whiteley
****************************************************************************/

#include "spice.h"
#include <stdio.h>
#include "inpdefs.h"
#include "iferrmsg.h"


int
INPapName(ckt,type,analPtr,parmname,value)

GENERIC *ckt;
int type;
GENERIC *analPtr;
char * parmname;
IFvalue *value;
{
    int i, n;
    IFparm *prm;

    if (parmname && ft_sim->analyses[type]) {

        prm = ft_sim->analyses[type]->analysisParms;
        n = ft_sim->analyses[type]->numParms;

        for (i = 0; i < n; i++) {
            if (!strcmp(parmname,prm[i].keyword))
                return (*(ft_sim->setAnalysisParm))(ckt, analPtr,
                    prm[i].id, value, (IFvalue*)NULL);
        }
    }
    return (E_BADPARM);
}
