/***************************************************************************
JSPICE3 adaptation of Spice3e2 - Copyright (c) Stephen R. Whiteley 1992
Copyright 1990 Regents of the University of California.  All rights reserved.
Authors: 1985 Thomas L. Quarles
         1992 Stephen R. Whiteley
****************************************************************************/

#include "spice.h"
#include <stdio.h>
#include "inpdefs.h"

extern INPmodel *modtab;


void
INPkillMods()

{
    INPmodel *modtmp, *next;

    for (modtmp = modtab; modtmp != (INPmodel *)NULL; modtmp = next) {
        next = modtmp->INPnextModel;
        txfree(modtmp);
    }
    modtab = (INPmodel *)NULL;
}

