/***************************************************************************
JSPICE3 adaptation of Spice3e2 - Copyright (c) Stephen R. Whiteley 1992
Copyright 1990 Regents of the University of California.  All rights reserved.
Authors: 1985 Thomas L. Quarles
         1992 Stephen R. Whiteley
****************************************************************************/

#include "spice.h"
#include <stdio.h>
#include "inpdefs.h"


extern INPmodel *modtab;


/*ARGSUSED*/
int
INPlookMod(name)

char *name;
{
    INPmodel **i;

    for (i = &modtab; *i != (INPmodel *)NULL; i = &((*i)->INPnextModel)) {
        if (strcmp((*i)->INPmodName,name) == 0) {
            /* found the model in question - return true */
            return (1);
        }
    }
    /* didn't find model - return false */
    return (0);
}

